
D4Science Infrastructure - Task #150

Add nagios check for sp.d4science.org tomcat

May 25, 2015 07:54 PM - Massimiliano Assante

Status: Closed Start date: May 25, 2015

Priority: High Due date: May 29, 2015

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: Nagios monitoring   

Infrastructure: Production   

Description

This machine hosts the Shibboleth service provider of the infrastructure.

The tomcat is the same and is installed in /usr/share/tomcat6/ ( ssh root@sp.d4science.org)

History

#1 - Jul 24, 2015 12:50 PM - Massimiliano Assante

- Assignee changed from Andrea Dell'Amico to _InfraScience Systems Engineer

do we have the check?

#2 - Nov 22, 2015 04:02 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- Target version changed from UnSprintable to Nagios monitoring

#3 - Jan 19, 2016 07:55 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I added the check.

The certificate expiration date is also checked.

Note that tomcat answers to the 8080 port without restrictions. It should be better to disable the http port altogether, I see that the ajp connector is

used to talk with the apache web server. The ajp port is also open to the world, it should be limited to localhost only.

Last, some unused services are active: rpcbind, rpc.statd. They should be disabled.

#4 - Jan 20, 2016 03:47 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
